`timescale 1ns/1ps
//**********************************************************************
// 	Project: 
//	File: tb.v
// 	Description: 
//	Author: xxx
//  Timestamp: 
//----------------------------------------------------------------------
// Code Revision History:
// Ver:		| Author 	| Mod. Date		| Changes Made:
// v1.0.0	| xxx		| xx/xx/20xx	| Initial version
//**********************************************************************
// `include "define.vh"
module tb;

//**********************************************************************
// --- Parameter
//**********************************************************************
// `include "parameter.vh"

	localparam CLK_PERIOD = 50.0;			// 4Mhz
//**********************************************************************
// --- Test Input signal
//**********************************************************************	
	reg 							clk, rstn;
	
	// wire 					 	fir_valid_i;
	// wire 					 	fir_sync_i;
	// wire 	[DIN_WIDTH-1:0] 	fir_data_i;

//**********************************************************************
// --- Test Output signal
//**********************************************************************
	 // wire								fir_rfi_o;

	// wire 								fir_valid_o;
	// wire					 			fir_sync_o;
	// wire signed [DOUT_WIDTH-1:0]		fir_data_o;
	// wire [8:0] capture_index;
	// wire [DOUT_WIDTH-1:0] capture_data;
	
//**********************************************************************
// --- Internal Signal Declaration
//**********************************************************************	

//**********************************************************************
// --- Module:	tb_gw2a
// --- Description:	
//**********************************************************************
	GSR GSR(.GSRI(1'b1));

	tb_gw2a tb_gw2a_inst(
		.clk			(clk),
		.rstn 			(rstn),
		
		.capture_index	( 		),
		.capture_data	( 		),
		
		.fir_valid_o	(	 	),
		.fir_sync_o		(	 	),
		.fir_data_o		(	 	)
		
	);
	
//**********************************************************************	
// --- Clock Generate
//**********************************************************************
	initial begin
		clk = 1'b1;
		#(1.5*CLK_PERIOD) 
		forever #(CLK_PERIOD/2.0) clk = ~clk;
	end

//**********************************************************************
// --- Reset 
//**********************************************************************
	initial begin
		rstn = 1'b1;
		#(1.5*CLK_PERIOD) rstn = 1'b0;
		#(CLK_PERIOD) rstn = 1'b1;
	end
endmodule
